jQuery(function ($) {

    if (typeof PenciTOC != 'undefined') {
        var $sticky = $('.penci-toc-container-wrapper'),
            $stickyrStopper = $('.post-entry'),
            $stickC = $sticky.clone();


        $stickC.addClass('penci-sticky-toc');
        $stickC.find('.penci-toc-container')
            .attr('id', 'penci-toc-sticky-container')
            .addClass('hide-table');
        $stickC.find('a.penci-toc-toggle').addClass('sticky-toggle');
        $stickyrStopper.append($stickC);

        if (!!$sticky.offset()) { // make sure ".sticky" element exists

            var generalSidebarHeight = $sticky.innerHeight(),
                stickyTop = $sticky.offset().top,
                stickOffset = 120,
                innerset = stickOffset - generalSidebarHeight - 60,
                outerset = stickOffset - $stickyrStopper.innerHeight() + 60;

            $(window).scroll(function () {
                var windowTop = $(window).scrollTop();

                if (stickyTop < windowTop + innerset && stickyTop > windowTop + outerset) {
                    $stickC.addClass('tocSticky');
                } else {
                    $stickC.removeClass('tocSticky');
                }
            });

        }

        if (window.location.hash) {

            var path = window.location.hash;

            if (path.startsWith("#" + PenciTOC.prefix)) {

                var offset = -120;

                // smooth scroll to the anchor id
                $('html, body').animate({
                    scrollTop: ($(window.location.hash).offset().top + offset) + 'px'
                }, 1000, 'swing');
            }
        }


        $.fn.shrinkTOCWidth = function () {

            $(this).css({
                width: 'auto',
                display: 'table'
            });

            if (/MSIE 7\./.test(navigator.userAgent))
                $(this).css('width', '');
        };

        var smoothScroll = parseInt(PenciTOC.smooth_scroll);

        if (1 === smoothScroll) {

            $('a.penci-toc-link').on('click', function () {

                var self = $(this);

                var target = '';
                var hostname = self.prop('hostname');
                var pathname = self.prop('pathname');
                var qs = self.prop('search');
                var hash = self.prop('hash');

                // ie strips out the preceding / from pathname
                if (pathname.length > 0) {
                    if (pathname.charAt(0) !== '/') {
                        pathname = '/' + pathname;
                    }
                }

                if ((window.location.hostname === hostname) &&
                    (window.location.pathname === pathname) &&
                    (window.location.search === qs) &&
                    (hash !== '')
                ) {

                    // var id = decodeURIComponent( hash.replace( '#', '' ) );
                    target = '[id="' + hash.replace('#', '') + '"]';

                    // verify it exists
                    if ($(target).length === 0) {
                        console.log('PenciTOC scrollTarget Not Found: ' + target);
                        target = '';
                    }

                    // check offset setting
                    if (typeof PenciTOC.scroll_offset != 'undefined') {

                        var offset = -1 * PenciTOC.scroll_offset;

                    } else {

                        var adminbar = $('#wpadminbar');

                        if (adminbar.length > 0) {

                            if (adminbar.is(':visible'))
                                offset = -30;	// admin bar exists, give it the default
                            else
                                offset = 0;		// there is an admin bar but it's hidden, so no offset!

                        } else {

                            // no admin bar, so no offset!
                            offset = 0;
                        }
                    }

                    if (target) {
                        $.smoothScroll({
                            scrollTarget: target,
                            offset: offset,
                            beforeScroll: deactivateSetActiveEzTocListElement,
                            afterScroll: function () {
                                setActiveEzTocListElement();
                                activateSetActiveEzTocListElement();
                            }
                        });

                    }
                }
            });
        }

        if (typeof PenciTOC.visibility_hide_by_default != 'undefined') {

            var toc = $('.penci-toc-container-wrapper:not(.penci-sticky-toc) ul.penci-toc-list'),
                toggle = $('a.penci-toc-toggle:not(.sticky-toggle)'),
                wrapper = $('.penci-toc-container-wrapper:not(.penci-sticky-toc) .penci-toc-wrapper'),
                swrapper = $('.penci-sticky-toc .penci-toc-wrapper'),
                mswrapper = $('.penci-sticky-toc'),
                stoggle = $('.penci-sticky-toc a.sticky-toggle'),
                stoc = $('.penci-sticky-toc ul.penci-toc-list'),
                invert = PenciTOC.visibility_hide_by_default;

            toggle.css('display', 'inline');
            stoggle.css('display', 'inline');

            if (Cookies) {

                Cookies.get('penciTOC_hidetoc') == 1 ? toggle.data('visible', false) : toggle.data('visible', true);

            } else {

                toggle.data('visible', true);
            }

            if (invert) {

                toggle.data('visible', false)
            }

            if (!toggle.data('visible')) {

                toc.hide();
                wrapper.removeClass('show-table').addClass('hide-table');
            }

            toggle.on('click', function (event) {

                event.preventDefault();

                if ($(this).data('visible')) {

                    $(this).data('visible', false);

                    if (Cookies) {

                        if (invert)
                            Cookies.set('penciTOC_hidetoc', null, {path: '/'});
                        else
                            Cookies.set('penciTOC_hidetoc', '1', {expires: 30, path: '/'});
                    }

                    toc.hide('fast');
                    wrapper.removeClass('show-table').addClass('hide-table');

                } else {

                    $(this).data('visible', true);

                    if (Cookies) {

                        if (invert)
                            Cookies.set('penciTOC_hidetoc', '1', {expires: 30, path: '/'});
                        else
                            Cookies.set('penciTOC_hidetoc', null, {path: '/'});
                    }

                    toc.show('fast');
                    wrapper.removeClass('hide-table').addClass('show-table');

                }

            });

            stoggle.data('visible', false);
            stoc.hide();
            mswrapper.addClass('hide-table');

            stoggle.on('click', function (event) {
                event.preventDefault();
                if ($(this).data('visible')) {
                    $(this).data('visible', false);
                    stoc.hide('fast');
                    swrapper.removeClass('show-table').addClass('hide-table');
                    mswrapper.removeClass('show-table').addClass('hide-table');
                } else {
                    $(this).data('visible', true);
                    stoc.show('fast');
                    swrapper.removeClass('hide-table').addClass('show-table');
                    mswrapper.removeClass('hide-table').addClass('show-table');
                }
            });
        }

        // ======================================
        // Set active heading in penci-toc-widget list
        // ======================================

        var headings = $('span.penci-toc-section').toArray();
        var headingToListElementLinkMap = getHeadingToListElementLinkMap(headings);
        var listElementLinks = $.map(headingToListElementLinkMap, function (value, key) {
            return value
        });
        var scrollOffset = getScrollOffset();

        activateSetActiveEzTocListElement();

        function setActiveEzTocListElement() {
            var activeHeading = getActiveHeading(scrollOffset, headings);
            if (activeHeading) {
                var activeListElementLink = headingToListElementLinkMap[activeHeading.id];
                removeStyleFromNonActiveListElement(activeListElementLink, listElementLinks);
                setStyleForActiveListElementElement(activeListElementLink);
            }
        }

        function activateSetActiveEzTocListElement() {
            if (headings.length > 0 && $('.penci-sticky-toc').length) {
                $(window).on('load resize scroll', setActiveEzTocListElement);
            }
        }

        function deactivateSetActiveEzTocListElement() {
            $(window).off('load resize scroll', setActiveEzTocListElement);
        }

        function getEzTocListElementLinkByHeading(heading) {
            return $('.penci-sticky-toc .penci-toc-list a[href="#' + $(heading).attr('id') + '"]');
        }

        function getHeadingToListElementLinkMap(headings) {
            return headings.reduce(function (map, heading) {
                map[heading.id] = getEzTocListElementLinkByHeading(heading);
                return map;
            }, {});
        }

        function getScrollOffset() {
            var scrollOffset = 5; // so if smooth offset is off, the correct title is set as active
            if (typeof PenciTOC.smooth_scroll != 'undefined' && parseInt(PenciTOC.smooth_scroll) === 1) {
                scrollOffset = (typeof PenciTOC.scroll_offset != 'undefined') ? parseInt(PenciTOC.scroll_offset) : 30;
            }

            var adminbar = $('#wpadminbar');

            if (adminbar.length) {
                scrollOffset += adminbar.height();
            }
            return scrollOffset;
        }

        function getActiveHeading(topOffset, headings) {
            var scrollTop = $(window).scrollTop();
            var relevantOffset = scrollTop + topOffset + 1;
            var activeHeading = headings[0];
            var closestHeadingAboveOffset = relevantOffset - $(activeHeading).offset().top;
            headings.forEach(function (section) {
                var topOffset = relevantOffset - $(section).offset().top;
                if (topOffset > 0 && topOffset < closestHeadingAboveOffset) {
                    closestHeadingAboveOffset = topOffset;
                    activeHeading = section;
                }
            });
            return activeHeading;
        }

        function removeStyleFromNonActiveListElement(activeListElementLink, listElementLinks) {
            listElementLinks.forEach(function (listElementLink) {
                if (activeListElementLink !== listElementLink && listElementLink.parent().hasClass('active')) {
                    listElementLink.parent().removeClass('active');
                }
            });
        }

        function correctActiveListElementBackgroundColorHeight(activeListElement) {
            var listElementHeight = getListElementHeightWithoutUlChildren(activeListElement);
            addListElementBackgroundColorHeightStyleToHead(listElementHeight);
        }

        function getListElementHeightWithoutUlChildren(listElement) {
            var $listElement = $(listElement);
            var content = $listElement.html();
            // Adding list item with class '.active' to get the real height.
            // When adding a class to an existing element and using jQuery(..).height() directly afterwards,
            // the height is the 'old' height. The height might change due to text-wraps when setting the text-weight bold for example
            // When adding a new item, the height is calculated correctly.
            // But only when it might be visible (so display:none; is not possible...)
            // But because it get's directly removed afterwards it never will be rendered by the browser
            // (at least in my tests in FF, Chrome, IE11 and Edge)
            $listElement.parent().append('<li id="penci-toc-height-test" class="active">' + content + '</li>');
            var listItem = $('#penci-toc-height-test');
            var height = listItem.height();
            listItem.remove();
            return height - $listElement.children('ul').first().height();
        }

        function addListElementBackgroundColorHeightStyleToHead(listElementHeight) {
            // Remove existing
            $('#penci-toc-active-height').remove();
            // jQuery(..).css(..) doesn't work, because ::before is a pseudo element and not part of the DOM
            // Workaround is to add it to head
            $('<style id="penci-toc-active-height">' +
                '.penci-toc-widget-container ul.penci-toc-list li.active::before {' +
                // 'line-heigh:' + listElementHeight + 'px; ' +
                'height:' + listElementHeight + 'px;' +
                '} </style>')
                .appendTo('head');
        }

        function setStyleForActiveListElementElement(activeListElementLink) {
            var activeListElement = activeListElementLink.parent();
            if (!activeListElement.hasClass('active')) {
                activeListElement.addClass('active');
            }
            correctActiveListElementBackgroundColorHeight(activeListElement);
        }
    }
});
